# Modmail Docs

## Modmail Docs

- [Introduction](https://docs.modmail.dev/readme.md): https://github.com/modmail-dev/modmail
- [Choosing a Host](https://docs.modmail.dev/choose-host.md): This page briefly describes our recommendations for choosing a host.
- [Recommended Hosts](https://docs.modmail.dev/choose-host/recommended-hosts.md): These hosts are hosts we, and members of our community have had success with.
- [Unrecommended Hosts](https://docs.modmail.dev/choose-host/unrecommended-hosts.md): These hosts are hosts we, and members of our community have had little success with.
- [Installation](https://docs.modmail.dev/installation.md): Modmail hosting and installation guide.
- [Local Hosting / VPS](https://docs.modmail.dev/installation/local-hosting-vps.md): Hosting on the cloud or on your own computer.
- [Windows](https://docs.modmail.dev/installation/local-hosting-vps/windows.md): Deploy Modmail on a Windows machine.
- [MacOS](https://docs.modmail.dev/installation/local-hosting-vps/macos.md): Deploy Modmail on a macOS machine. (Tested with Apple Silicon M2)
- [Docker](https://docs.modmail.dev/installation/local-hosting-vps/docker.md): Deploy Modmail on Docker.
- [Ubuntu](https://docs.modmail.dev/installation/local-hosting-vps/ubuntu.md): Deploy Modmail on an Ubuntu server.
- [Debian](https://docs.modmail.dev/installation/local-hosting-vps/debian.md): Deploy Modmail on Debian / Raspberry Pi OS.
- [Fedora](https://docs.modmail.dev/installation/local-hosting-vps/fedora.md): Deploy Modmail on a Fedora server.
- [Alma Linux](https://docs.modmail.dev/installation/local-hosting-vps/almalinux.md): Deploy Modmail on RHEL / Alma Linux / CentOS server.
- [Logviewer](https://docs.modmail.dev/installation/local-hosting-vps/logviewer.md): Hosting the logviewer on the cloud or on your own computer.
- [Patreon Logviewer](https://docs.modmail.dev/installation/local-hosting-vps/patreon_logviewer.md): Hosting the patreon logviewer on the cloud or on your own computer.
- [Setting up Auto-Restart (Linux)](https://docs.modmail.dev/installation/local-hosting-vps/autorestart_linux.md): Ways to setup auto restart for your bot on Linux hosts.
- [Setting up Auto-Restart (Windows)](https://docs.modmail.dev/installation/local-hosting-vps/autorestart_windows.md): Ways to setup auto restart for your bot on Windows hosts.
- [Railway](https://docs.modmail.dev/installation/railway.md): Deploy Modmail on Railway PaaS.
- [Heroku](https://docs.modmail.dev/installation/heroku.md): Deploy Modmail on Heroku PaaS.
- [Community Guides](https://docs.modmail.dev/installation/community-guides.md): Unofficial installation guides created by the community.
- [Updating](https://docs.modmail.dev/updating.md): Guide on how to update the Modmail bot.
- [Usage](https://docs.modmail.dev/usage-guide.md): How to use modmail
- [Plugins](https://docs.modmail.dev/usage-guide/plugins.md)
- [Configuration](https://docs.modmail.dev/usage-guide/configuration.md): Configuring and customizing modmail.
- [Permissions](https://docs.modmail.dev/usage-guide/permissions.md): How to use permissions in modmail.
- [Thread Menu](https://docs.modmail.dev/usage-guide/threadmenu.md): Instructions on using the threadmenu function of the bot.
- [Frequently Asked Questions](https://docs.modmail.dev/frequently-asked-questions.md): A list of commonly asked questions or problems related to Modmail.
- [Config References](https://docs.modmail.dev/config-references.md): https://github.com/modmail-dev/modmail
- [Configuration Variables](https://docs.modmail.dev/config-references/config-vars.md)
- [Color Names](https://docs.modmail.dev/config-references/color-names.md)
- [Archived Documentation](https://docs.modmail.dev/old-docs.md)
- [Configure Modmail and Logviewer](https://docs.modmail.dev/old-docs/configure-modmail-and-logviewer.md)
- [Frequently Asked Questions](https://docs.modmail.dev/old-docs/frequently-asked-questions-old.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.modmail.dev/readme.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
